package lt.ktu.gmj.tasks;

public class GateProperties {
	private double go = 2;
	private double gc = 0.2;
	private double a = 0.1;
	private double v0 = 40;
	private Poliarity poliarity = Poliarity.Positive;
	private double k = 0.1;

	public GateProperties(Poliarity p) {
		poliarity = p;
	}

	public double getGo() {
		return go;
	}

	public void setGo(double value) {
		go = value;
	}

	public double getGc() {
		return gc;
	}

	public void setGc(double value) {
		gc = value;
	}

	public double getA() {
		return a;
	}

	public void setA(double value) {
		a = value;
	}

	public double getV0() {
		return v0;
	}

	public void setV0(double value) {
		v0 = value;
	}

	public double getK() {
		return k;
	}

	public void setK(double k) {
		this.k = k;
	}

	public int getP() {
		return poliarity.getValue();
	}

	public Poliarity getPoliarity() {
		return poliarity;
	}

	public void setPoliarity(Poliarity p) {
		poliarity = p;
	}
}